## gortr 0.14.4

=== debian/changelog ===
gortr (0.14.4-3) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:19:48 +0200

gortr (0.14.4-2) experimental; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Apr 2020 14:15:52 +0200

## gortr 0.14.5

=== debian/changelog ===
gortr (0.14.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 12 Jul 2020 03:20:10 +0200

## gortr 0.14.6

=== Makefile ===
EXTENSION ?= 
DIST_DIR ?= dist/
GOOS ?= linux
ARCH ?= $(shell uname -m)
BUILDINFOSDET ?= 

DOCKER_REPO   := cloudflare/
GORTR_NAME    := gortr
GORTR_VERSION := $(shell git describe --tags $(git rev-list --tags --max-count=1))
VERSION_PKG   := $(shell echo $(GORTR_VERSION) | sed 's/^v//g')
ARCH          := x86_64
LICENSE       := BSD-3
URL           := https://github.com/cloudflare/gortr
DESCRIPTION   := GoRTR: a RPKI-to-Router server
BUILDINFOS    :=  ($(shell date +%FT%T%z)$(BUILDINFOSDET))
LDFLAGS       := '-X main.version=$(GORTR_VERSION) -X main.buildinfos=$(BUILDINFOS)'

RTRDUMP_NAME        := rtrdump

OUTPUT_GORTR := $(DIST_DIR)gortr-$(GORTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
OUTPUT_RTRDUMP := $(DIST_DIR)rtrdump-$(GORTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)

.PHONY: vet
vet:
	go vet cmd/gortr/gortr.go

.PHONY: test
test:
	go test -v github.com/cloudflare/gortr/lib
	go test -v github.com/cloudflare/gortr/prefixfile

.PHONY: prepare
prepare:
	mkdir -p $(DIST_DIR)

.PHONY: clean
clean:
	rm -rf $(DIST_DIR)

.PHONY: dist-key
dist-key: prepare
	cp cmd/gortr/cf.pub $(DIST_DIR)

.PHONY: build-gortr
build-gortr: prepare
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_GORTR) cmd/gortr/gortr.go 

.PHONY: build-rtrdump
build-rtrdump:
	go build -ldflags $(LDFLAGS) -o $(OUTPUT_RTRDUMP) cmd/rtrdump/rtrdump.go 

.PHONY: docker-gortr
docker-gortr:
	docker build -t $(DOCKER_REPO)$(GORTR_NAME):$(GORTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.gortr .

.PHONY: docker-rtrdump
docker-rtrdump:
	docker build -t $(DOCKER_REPO)$(RTRDUMP_NAME):$(GORTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.rtrdump .

.PHONY: package-deb-gortr
package-deb-gortr: prepare
	fpm -s dir -t deb -n $(GORTR_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)"  \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE)" \
        --deb-no-default-config-files \
        --package $(DIST_DIR) \
        $(OUTPUT_GORTR)=/usr/bin/gortr \
        package/gortr.service=/lib/systemd/system/gortr.service \
        package/gortr.env=/etc/default/gortr \
        cmd/gortr/cf.pub=/usr/share/gortr/cf.pub \
        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump

.PHONY: package-rpm-gortr
package-rpm-gortr: prepare
	fpm -s dir -t rpm -n $(GORTR_NAME) -v $(VERSION_PKG) \
        --description "$(DESCRIPTION)" \
        --url "$(URL)" \
        --architecture $(ARCH) \
        --license "$(LICENSE) "\
        --package $(DIST_DIR) \
        $(OUTPUT_GORTR)=/usr/bin/gortr \
        package/gortr.service=/lib/systemd/system/gortr.service \
        package/gortr.env=/etc/default/gortr \
        cmd/gortr/cf.pub=/usr/share/gortr/cf.pub \
        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump

=== debian/changelog ===
gortr (0.14.6-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:17:07 +0000

gortr (0.14.6-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 25 Aug 2020 01:16:13 +0200

=== debian/control ===
Source: gortr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-golang,
 golang-any,
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/md/gortr
Vcs-Git: https://salsa.debian.org/md/gortr.git
Homepage: https://github.com/cloudflare/gortr
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/gortr

Package: gortr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 adduser
Built-Using: ${misc:Built-Using}
Description: Cloudflare's RPKI to Router server
 GoRTR is an implementation of the RPKI to Router protocol (RFC 6810):
 it can be used to publish Resource Public Key Infrastructure (RFC 6480)
 prefix origin data from a trusted cache to BGP routers.

Package: golang-github-cloudflare-gortr-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
 golang-github-prometheus-client-golang-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-logrus-dev,
Description: Cloudflare's RPKI to router library
 GoRTR is an implementation of the RPKI to router protocol (RFC 6810).

## gortr 0.14.7

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,12 @@
 BUILDINFOS    :=  ($(shell date +%FT%T%z)$(BUILDINFOSDET))
 LDFLAGS       := '-X main.version=$(GORTR_VERSION) -X main.buildinfos=$(BUILDINFOS)'
 
-RTRDUMP_NAME        := rtrdump
+RTRDUMP_NAME  := rtrdump
+RTRMON_NAME   := rtrmon
 
 OUTPUT_GORTR := $(DIST_DIR)gortr-$(GORTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
 OUTPUT_RTRDUMP := $(DIST_DIR)rtrdump-$(GORTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
+OUTPUT_RTRMON := $(DIST_DIR)rtrmon-$(GORTR_VERSION)-$(GOOS)-$(ARCH)$(EXTENSION)
 
 .PHONY: vet
 vet:
@@ -49,6 +51,10 @@
 build-rtrdump:
 	go build -ldflags $(LDFLAGS) -o $(OUTPUT_RTRDUMP) cmd/rtrdump/rtrdump.go 
 
+.PHONY: build-rtrmon
+build-rtrmon:
+	go build -ldflags $(LDFLAGS) -o $(OUTPUT_RTRMON) cmd/rtrmon/rtrmon.go 
+
 .PHONY: docker-gortr
 docker-gortr:
 	docker build -t $(DOCKER_REPO)$(GORTR_NAME):$(GORTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.gortr .
@@ -57,6 +63,10 @@
 docker-rtrdump:
 	docker build -t $(DOCKER_REPO)$(RTRDUMP_NAME):$(GORTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.rtrdump .
 
+.PHONY: docker-rtrmon
+docker-rtrmon:
+	docker build -t $(DOCKER_REPO)$(RTRMON_NAME):$(GORTR_VERSION) --build-arg LDFLAGS=$(LDFLAGS) -f Dockerfile.rtrmon .
+
 .PHONY: package-deb-gortr
 package-deb-gortr: prepare
 	fpm -s dir -t deb -n $(GORTR_NAME) -v $(VERSION_PKG) \
@@ -64,24 +74,25 @@
         --url "$(URL)" \
         --architecture $(ARCH) \
         --license "$(LICENSE)" \
-        --deb-no-default-config-files \
         --package $(DIST_DIR) \
         $(OUTPUT_GORTR)=/usr/bin/gortr \
         package/gortr.service=/lib/systemd/system/gortr.service \
         package/gortr.env=/etc/default/gortr \
         cmd/gortr/cf.pub=/usr/share/gortr/cf.pub \
-        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump
+        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
+        $(OUTPUT_RTRMON)=/usr/bin/rtrmon
 
 .PHONY: package-rpm-gortr
 package-rpm-gortr: prepare
 	fpm -s dir -t rpm -n $(GORTR_NAME) -v $(VERSION_PKG) \
-        --description "$(DESCRIPTION)" \
-        --url "$(URL)" \
-        --architecture $(ARCH) \
-        --license "$(LICENSE) "\
-        --package $(DIST_DIR) \
-        $(OUTPUT_GORTR)=/usr/bin/gortr \
-        package/gortr.service=/lib/systemd/system/gortr.service \
-        package/gortr.env=/etc/default/gortr \
-        cmd/gortr/cf.pub=/usr/share/gortr/cf.pub \
-        $(OUTPUT_RTRDUMP)=/usr/bin/rtrdump
+	--description "$(DESCRIPTION)" \
+	--url "$(URL)" \
+	--architecture $(ARCH) \
+	--license "$(LICENSE) "\
+	--package $(DIST_DIR) \
+	$(OUTPUT_GORTR)=/usr/bin/gortr \
+	package/gortr.service=/lib/systemd/system/gortr.service \
+	package/gortr.env=/etc/default/gortr \
+	cmd/gortr/cf.pub=/usr/share/gortr/cf.pub \
+	$(OUTPUT_RTRDUMP)=/usr/bin/rtrdump \
+	$(OUTPUT_RTRMON)=/usr/bin/rtrmon

=== debian/changelog ===
gortr (0.14.7-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 09:17:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gortr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Marco d'Itri <md@linux.it>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gortr-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/cloudflare/gortr/tags .*/v?(\d\S*)\.tar\.gz debian
